signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
RemotePluginProcessNS::RemotePluginProcess Class Reference

Class to execute plugin process. More...

`#include <remotepluginprocess.h>`

Inheritance diagram for RemotePluginProcessNS::RemotePluginProcess:
[legend]
Collaboration diagram for RemotePluginProcessNS::RemotePluginProcess:
[legend]

## Public Slots
void | startTask ()
void | sessionDataReceived (const QVariantMap &sessionDataMap)

## Signals
void | processStopped ()

## Public Member Functions
| RemotePluginProcess (QObject *parent)
| ~RemotePluginProcess ()
bool | loadPlugin (QString &type)
bool | setupDataStreams ()
bool | setupProxySettings ()

## Static Public Member Functions
static RemotePluginProcess * | createRemotePluginProcess (QString &type, QObject *parent)

## Detailed Description

Class to execute plugin process.

Definition at line 95 of file remotepluginprocess.h.

## Constructor & Destructor Documentation

RemotePluginProcessNS::RemotePluginProcess::RemotePluginProcess | ( | QObject * | parent | ) |

Definition at line 47 of file remotepluginprocess.cpp.

Referenced by createRemotePluginProcess().

RemotePluginProcessNS::RemotePluginProcess::~RemotePluginProcess | ( |  | ) |

Definition at line 58 of file remotepluginprocess.cpp.

## Member Function Documentation

RemotePluginProcess * RemotePluginProcessNS::RemotePluginProcess::createRemotePluginProcess | ( | QString & | type,
|  | QObject * | parent
| ) |  |
| static

Definition at line 72 of file remotepluginprocess.cpp.

References loadPlugin(), RemotePluginProcess(), setupDataStreams(), and setupProxySettings().

Referenced by main().

bool RemotePluginProcessNS::RemotePluginProcess::loadPlugin | ( | QString & | type | ) |

Definition at line 88 of file remotepluginprocess.cpp.

References TRACE.

Referenced by createRemotePluginProcess().

void RemotePluginProcessNS::RemotePluginProcess::processStopped | ( |  | ) |
| signal

Referenced by setupDataStreams(), and startTask().

void RemotePluginProcessNS::RemotePluginProcess::sessionDataReceived | ( | const QVariantMap & | sessionDataMap | ) |
| slot

Definition at line 369 of file remotepluginprocess.cpp.

References startTask(), and TRACE.

Referenced by setupDataStreams().

bool RemotePluginProcessNS::RemotePluginProcess::setupDataStreams | ( |  | ) |

Definition at line 147 of file remotepluginprocess.cpp.

References processStopped(), sessionDataReceived(), startTask(), and TRACE.

Referenced by createRemotePluginProcess().

bool RemotePluginProcessNS::RemotePluginProcess::setupProxySettings | ( |  | ) |

Definition at line 184 of file remotepluginprocess.cpp.

References TRACE.

Referenced by createRemotePluginProcess().

void RemotePluginProcessNS::RemotePluginProcess::startTask | ( |  | ) |
| slot

Definition at line 453 of file remotepluginprocess.cpp.

References processStopped(), and TRACE.

Referenced by sessionDataReceived(), and setupDataStreams().

The documentation for this class was generated from the following files:

- src/remotepluginprocess/remotepluginprocess.h
- src/remotepluginprocess/remotepluginprocess.cpp